Package io.strimzi.systemtest.resources.crd

## Class KafkaConnectResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaConnectResource

-     public class KafkaConnectResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_KAFKA_CONNECT_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaConnectResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaConnect` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnect kafkaConnect)` |
    `static io.strimzi.api.kafka.model.KafkaConnect` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnect kafkaConnect, boolean allowNP)` |
    `static void` | `deleteKafkaConnectWithoutWait​(String resourceName)` |
    `static io.strimzi.api.kafka.model.KafkaConnectBuilder` | `kafkaConnect​(String name, int kafkaConnectReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaConnectBuilder` | `kafkaConnect​(String name, String clusterName, int kafkaConnectReplicas)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaConnect,​io.strimzi.api.kafka.KafkaConnectList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaConnect>>` | `kafkaConnectClient()` |
    `static io.strimzi.api.kafka.model.KafkaConnectBuilder` | `kafkaConnectWithMetrics​(String name, int kafkaConnectReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaConnectBuilder` | `kafkaConnectWithMetrics​(String name, String clusterName, int kafkaConnectReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaConnect` | `kafkaConnectWithoutWait​(io.strimzi.api.kafka.model.KafkaConnect kafkaConnect)` |
    `static void` | `replaceKafkaConnectResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaConnect> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_KAFKA_CONNECT_CONFIG

          public static final String PATH_TO_KAFKA_CONNECT_CONFIG

  - ### Constructor Detail

    - #### KafkaConnectResource

          public KafkaConnectResource()

  - ### Method Detail

    - #### kafkaConnectClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaConnect,​io.strimzi.api.kafka.KafkaConnectList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaConnect>> kafkaConnectClient()

    - #### kafkaConnect

          public static io.strimzi.api.kafka.model.KafkaConnectBuilder kafkaConnect​(String name,
                                                                                    int kafkaConnectReplicas)

    - #### kafkaConnect

          public static io.strimzi.api.kafka.model.KafkaConnectBuilder kafkaConnect​(String name,
                                                                                    String clusterName,
                                                                                    int kafkaConnectReplicas)

    - #### kafkaConnectWithMetrics

          public static io.strimzi.api.kafka.model.KafkaConnectBuilder kafkaConnectWithMetrics​(String name,
                                                                                               int kafkaConnectReplicas)

    - #### kafkaConnectWithMetrics

          public static io.strimzi.api.kafka.model.KafkaConnectBuilder kafkaConnectWithMetrics​(String name,
                                                                                               String clusterName,
                                                                                               int kafkaConnectReplicas)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaConnect createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnect kafkaConnect)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaConnect createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnect kafkaConnect,
                                                                                          boolean allowNP)

    - #### kafkaConnectWithoutWait

          public static io.strimzi.api.kafka.model.KafkaConnect kafkaConnectWithoutWait​(io.strimzi.api.kafka.model.KafkaConnect kafkaConnect)

    - #### deleteKafkaConnectWithoutWait

          public static void deleteKafkaConnectWithoutWait​(String resourceName)

    - #### replaceKafkaConnectResource

          public static void replaceKafkaConnectResource​(String resourceName,
                                                         Consumer<io.strimzi.api.kafka.model.KafkaConnect> editor)